%define		_class		Net
%define		_subclass	SmartIRC
%define		upstream_name	%{_class}_%{_subclass}

%global		__requires_exclude pear\\((../SmartIRC.php|SmartIRC/.*)\\)

Name:		php-pear-%{upstream_name}
Version:	1.1.4
Release:	%mkrel 2
Summary:	IRC client class
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/Net_SmartIRC/	
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildRequires:	php-pear
BuildArch:	noarch


%description
Net_SmartIRC is a PHP class for communication with IRC networks, which
conforms to the RFC 2812 (IRC protocol). It's an API that handles all
IRC protocol messages. This class is designed for creating IRC bots,
chats and show irc related info on webpages.

Featurelist:
- actionhandler for the API
- messagehandler for the API
- send/receive floodprotection
- detects and changes nickname on nickname collisions
- time events
- full object oriented programmed
- autoreconnect
- debugging/logging system
- supports fsocks and PHP socket extension
- supports PHP 4.1.x to 4.3.0
- sendbuffer with priority levels
- channel synching (tracking of users/modes/topic etc in variables)
- IRC functions: op, deop, voice, devoice, ban, unban, join, part,
  action, message, query, ctcp, mode, topic, nick, invite

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml




%changelog
* Sat Mar 12 2016 umeabot <umeabot> 1.1.4-2.mga6
+ Revision: 989416
- Mageia 6 Mass Rebuild

* Fri Dec 05 2014 spuhler <spuhler> 1.1.4-1.mga5
+ Revision: 801583
- upgrade to ver. 1.1.4
  * Fix upstream Bug #2309: Channel list message parsing error [garrettw]
  * Implement upstream Feature #7321: Please Add SSL support [garrettw]
  * Implement upstreamFeature #20429: IPv6 socket support [garrettw]
  * Eschewed socket_*() functions in favor of stream_*() functions, thereby deprecating setUseSockets() [garrettw]
  * Fix untracked bug: unloadModule() still didn't work right [garrettw]
  * unregisterActionId() and unregisterTimeId() now accept arrays of IDs [garrettw]
  * Updated HTML documentation [garrettw]

* Sun Oct 26 2014 tv <tv> 1.0.2-7.mga5
+ Revision: 793421
- add more excludes

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-6.mga5
+ Revision: 746659
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 1.0.2-5.mga5
+ Revision: 734101
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-4.mga5
+ Revision: 687391
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 1.0.2-3.mga4
+ Revision: 517098
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.2-2.mga3
+ Revision: 377032
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 29 2011 spuhler <spuhler> 1.0.2-1.mga1
+ Revision: 43945
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Net_SmartIRC


* Sun Nov 07 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.2-1mdv2011.0
+ Revision: 594501
- update to new version 1.0.2

* Sun Nov 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.1-2mdv2010.1
+ Revision: 468717
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Sun Sep 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.1-1mdv2010.0
+ Revision: 450227
- new version
- use pear installer
- use fedora %%post/%%postun

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 1.0.0-2mdv2010.0
+ Revision: 441491
- rebuild

* Thu Mar 19 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.0-1mdv2009.1
+ Revision: 357927
- new version
- don't recompress tarball
- don't duplicate spec-helper job
- spec cleanup

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.5.5p1-9mdv2009.1
+ Revision: 322501
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.5.5p1-8mdv2009.0
+ Revision: 236996
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.5.5p1-7mdv2008.1
+ Revision: 136415
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.5.5p1-7mdv2007.0
+ Revision: 82415
- Import php-pear-Net_SmartIRC

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.5.5p1-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5.5p1-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5.5p1-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5.5p1-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5.5p1-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5.5p1-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5.5p1-1mdk
- initial Mandriva package (PLD import)

